using System;

namespace Takmicenje
{
    class MainClass
    {
        static int Moc(int[] vs)
        {
            int pocetak = 0, kraj = vs.Length - 1;
            for (int i = 0; i < vs.Length - 1; i++)
            {
                if (vs[pocetak] == vs[kraj])
                {
                    pocetak++;
                    vs[kraj] = 0;
                }
                else if (vs[pocetak] > vs[kraj])
                {
                    vs[pocetak] -= vs[kraj];
                    kraj--;
                }
                else
                {
                    vs[kraj] -= vs[pocetak];
                    pocetak++;
                }
            }
            return vs[pocetak];
        }

        public static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split(' ');

            int n = int.Parse(str[0]), k = int.Parse(str[1]);

            string[] ulaz2 = Console.ReadLine().Split(' ');
            int[] br = new int[2 * n];
            for (int i = 0; i < n; i++)
            {
                br[i] = int.Parse(ulaz2[i]);
            }

            for (int i = n; i < 2 * n; i++)
            {
                br[i] = int.Parse(ulaz2[i - n]);
            }

            int najjaci = 0;

            for (int i = 0; i <= 2 * n - k; i++)
            {
                int[] raspolozivi = new int[k];
                for (int j = 0; j < k; j++)
                {
                    raspolozivi[j] = br[i + j];
                }
                int jacina = Moc(raspolozivi);

                if (jacina > najjaci)
                    najjaci = jacina;
            }

            Console.WriteLine(najjaci);
        }
    }
}